#   Copyright (c) 2010 Axel Wachtler
#   All rights reserved.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of the authors nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
#   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
#   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
#   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
#   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
#   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#   POSSIBILITY OF SUCH DAMAGE.

# $Id$

#=== modules ==================================================================
import pprint, glob, os
Import("contr board")

#=== setup build environment ==================================================
avrlocal = contr.Clone()
avrlocal["dir_sniffer"] = "${dir_build}/sniffer"

avrlocal['dox_install_dir'] = avrlocal.Dir("$dir_sniffer/doc")
avrlocal['dox_title'] = "IEEE 802.15.4 Sniffer"
avrlocal['dox_version'] = avrlocal["VERSION"]
avrlocal['dox_source_browser'] = "YES"
avrlocal["dox_enabled_sections"] = "SNIFFERPACKAGE"
avrlocal['dox_generate_tagfile'] = "alldoc.tag"
avrlocal["dox_input_files"] = "${dir_src_doc}/Contrib/packetcapture.dox"

avrlocal["dox_example_path"] = []

doxyfile = avrlocal.DoxyfileTransformer("${dir_sniffer}/Doxyfile","${dir_src_doc}/Doxyfile.in")

htmlfile = avrlocal.Command("${dox_install_dir}/index.html",
                         [doxyfile, "${dir_src_doc}/uracoli.css",
                         "${dir_src_doc}/header.html", "${dir_src_doc}/footer.html",],
                         ["doxygen $SOURCE"])

avrlocal.Install("$dir_sniffer","README.html")
avrlocal.Install("dox_install_dir", ["Doc/Images/uracoli-logo.png",
                                     "Doc/Images/radiofaro_low.jpg"])
avrlocal.Depends(htmlfile, avrlocal.Split("${dox_input_files} ${dir_top}/LICENSE"))

avrlocal.Alias("sniffer", htmlfile)



